Skip to main content
GET
Get company details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Response

Company details

Serializer for detailed company view

id
integer
required
read-only
name
string
required

The name of the company registered in the instance.

Maximum string length: 255
allow_company_admins_to_manage_sso
boolean
required

If the company admins of this company can create & manage their SSO configuration.

created_at
string<date-time>
required
read-only
dpo_email
string<email> | null

Contact email displayed in user profiles for data privacy inquiries.

Maximum string length: 254
max_users
integer

Maximum allowed active users for this company license.

Required range: -2147483648 <= x <= 2147483647
auto_provision_external_users
boolean

Automatically create user accounts when users log in via external auth (SSO/LDAP) for the first time.

storage_limit_company_ws
integer | null

Company workspace storage limit in MB. Leave blank to use the default value. Use 0 to disable uploads.

Required range: -2147483648 <= x <= 2147483647
storage_limit_personal_ws
integer | null

Limit for all combined personal workspaces in this company, in MB. Leave blank to use the default value. Use 0 to disable uploads.

Required range: -2147483648 <= x <= 2147483647
storage_limit_custom_ws
integer | null

Limit for all combined custom workspaces in this company, in MB. Leave blank to use the default value. Use 0 to disable uploads.

Required range: -2147483648 <= x <= 2147483647
login_method
enum<string>

Authentication method(s) allowed for users in this company.

  • password - Password
  • sso - Single Sign On
  • ldap - LDAP
Available options:
password,
sso,
ldap